QGIS Application - Bug report #13729
Formatting and rounding errors in world files (tfw) exported by Map Composer
2015-11-02 12:37 AM - Lauri Kajan

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: windows / osgeo4w Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 21756
Description

Coordinates in tfw files are little bit off of the exact bounding box.
When bounding box of a map is even (224000, 7008000, 230000, 7014000) coordinates in tfw are 224000.000113 and
7013999.999805. Actually these coordinates should be center coordinates of the upper left pixel (see issue #13728).

There are also some unnecessary line breaks in tfw files.
When opened in notepad++ it shows one empty line between all the values.

History

#1 - 2015-11-06 04:11 AM - Giovanni Manghi
- Status changed from Open to Feedback

| have just tested on master and | don't see this rounding error. Could you test it?

Moreover the withe lines in tfw are only visible on notepad++ (among the editors | tested) because on kate,gedit,nano,notepad and other it shows ok.

#2 - 2015-12-19 10:44 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
